This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 224566 - Error in pre uninstall script
Error in pre uninstall script
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vitezslav Crhonek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-26 09:44 EST by Phil Knirsch
Modified: 2015-03-04 20:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-23 06:13:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2007-01-26 09:44:04 EST
During an automated install/deinstall check the following error has happened:

ERROR: Output running pre uninstall script for package
smartmontools-1:5.36-5.fc7.i386
Shutting down smartd: [FAILED]

Redirecting the output of the /sbin/service stop command fixes the problem.

preuninstall scriptlet (using /bin/sh):
if [ "$1" = "0" ] ; then
 /sbin/service smartd stop > /dev/null 2>&1
 /sbin/chkconfig --del smartd
fi

Note You need to log in before you can comment on or make changes to this bug.